 
void configReg(void) // configure SFRs
{
  //       0b76543210
  OSCCON = 0b01110010 ; // set 8MHz clock (IRCF = 1110) Internal (SCS = 1x)
  TRISA =  0b00000111 ; // PORT A In: AN0, AN1 & AN2 (others OP to buzzer, LED, FET2)
  ANSELA = 0b00000111 ; // select analog input for AN0 (Aft), AN1 (Fwd) & AN2 (Light)
  ADFM_bit = 1 ;        // A/D Result Format Right justified
  ADC_Init() ;          // initialise ADC module to work with RC clock

  TRISB =  0b11000000 ; // PORT B In: B7 SWa, B6 SWf (others OP to Display, FET1)
  ANSELB = 0b00000000 ; // select all digital input PORTB
  OPTION_REG.F7 = 0 ;   // WPUEN global pull-ups enable
  WPUB = 0b11000000 ;   // enable pull-ups Port B (SWf & SWa switches)

  PIE2 =   0b00000000 ; // turn off comparators
}